﻿using HeuristicLab.Common;
using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.Problems.Robocode
{
    [StorableClass]
    public class SetAdjustRadarForRobotTurn : Symbol
    {
        public override int MinimumArity { get { return 1; } }
        public override int MaximumArity { get { return 1; } }

        [StorableConstructor]
        private SetAdjustRadarForRobotTurn(bool deserializing) : base(deserializing) { }
        private SetAdjustRadarForRobotTurn(SetAdjustRadarForRobotTurn original, Cloner cloner)
            : base(original, cloner)
        {
        }

        public SetAdjustRadarForRobotTurn()
            : base("SetAdjustRadarForRobotTurn", "Sets the radar to turn independent from the robot's turn.")
        {
        }

        public override IDeepCloneable Clone(Cloner cloner)
        {
            return new SetAdjustRadarForRobotTurn(this, cloner);
        }
    }
}